Show / Hide Table of Contents

# Class StdString

Interation with std::string.

##### Inheritance

System.Object
StdString

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Libc

###### Assembly: Dalamud.dll

##### Syntax

    public class StdString

### Properties

| Improve this Doc View Source

#### RawData

Gets or sets the raw byte representation of the cstring.

##### Declaration

    public byte[] RawData { get; set; }

##### Property Value

Type | Description
--- | ---
System.Byte[] |

| Improve this Doc View Source

#### Value

Gets the value of the cstring.

##### Declaration

    public string Value { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### ReadFromPointer(IntPtr)

Marshal a null terminated cstring from memory to a UTF-8 encoded string.

##### Declaration

    public static StdString ReadFromPointer(IntPtr cstring)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | cstring | Address of the cstring.

##### Returns

Type | Description
--- | ---
StdString | A UTF-8 encoded string.